#
# spec file for package libdxfrw
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 Asterios Dramis <asterios.dramis@gmail.com>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define so_ver 0

Name:           libdxfrw
Version:        0.6.3
Release:        7.1
Summary:        Library to read and write DXF files
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            http://sourceforge.net/p/libdxfrw/home/Home/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:         libdxfrw-LibreCad-2.1.0-changes.patch
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libdxfrw is a free C++ library to read and write DXF files in both formats,
ascii and binary form.

%package devel
Summary:        Development files for libdxfrw
Group:          Development/Libraries/C and C++
Requires:       libdxfrw%{so_ver} = %{version}

%description devel
This package includes development files for libdxfrw.

%package tools
Summary:        Tools based on libdxfrw
Group:          Productivity/Graphics/CAD

%description tools
This package includes tools based on libdxfrw.

%package -n libdxfrw%{so_ver}
Summary:        Library to read and write DXF files
Group:          System/Libraries

%description -n libdxfrw%{so_ver}
libdxfrw is a free C++ library to read and write DXF files in both formats,
ascii and binary form.

%prep
%setup -q
%patch0 -p1

%build
CXXFLAGS="$CXXFLAGS -std=c++11"
%configure --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

# Remove libtool config files
rm -f %{buildroot}%{_libdir}/*.la

%post -n libdxfrw%{so_ver} -p /sbin/ldconfig

%postun -n libdxfrw%{so_ver} -p /sbin/ldconfig

%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_includedir}/libdxfrw0/
%{_libdir}/pkgconfig/libdxfrw0.pc
%{_libdir}/libdxfrw.so

%files tools
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/dwg2dxf

%files -n libdxfrw%{so_ver}
%defattr(-,root,root,-)
%{_libdir}/libdxfrw.so.%{so_ver}*

%changelog
* Tue Jun  7 2016 jslaby@suse.com
- add libdxfrw-LibreCad-2.1.0-changes.patch
- we need -std=c++11 for that patch to work
* Tue Dec  8 2015 p.drouand@gmail.com
- Update to version 0.6.3
  * No changelog available for this version
* Wed Sep  9 2015 asterios.dramis@gmail.com
- Update to version 0.6.1:
  * Detailed changelog not available.
  From version 0.6.0:
  * First version with dwg read support.
* Fri Aug  8 2014 asterios.dramis@gmail.com
- Update to version 0.5.12:
  * Detailed changelog not available.
* Fri May  9 2014 jengelh@inai.de
- Set RPM group to more usual values
* Wed Feb 19 2014 asterios.dramis@gmail.com
- Initial rpm release (version 0.5.11).
